## openjfx 8u60-b27

=== debian/changelog ===
openjfx (8u60-b27-4) unstable; urgency=medium

  * Team upload.
  * Don't build java docs and sources for arch-only builds.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Oct 2015 14:37:15 +0200

openjfx (8u60-b27-3) unstable; urgency=medium

  * Team upload.
  * Kill more -m32 settings.
  * Increase maximum heap space for the s390x build.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Oct 2015 07:14:06 +0200

openjfx (8u60-b27-2) unstable; urgency=medium

  * Team upload.
  * Fix build on arm64, patch taken from the webkitgtk package.
  * Kill most of the direct -m32 / -m64 settings. Closes: #779833.
  * Add build dependency on openjdk-8-doc, point JDK_DOCS to it.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Oct 2015 09:47:38 +0200

openjfx (8u60-b27-1) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * New upstream release
    - Refreshed the patches
    - Build with qt5-qmake instead of qt4-qmake
    - New build dependency on ruby
    - Added a patch to link dynamically against ICU
    - Removed the non-free JavaScript minifier from the upstream tarball
  * Fixed a build failure with Gradle 2.5 (Closes: #795851)
  * Depend on GStreamer 1.0 (Closes: #799280)
  * Enabled hardening for libavplugin.so, libfxplugins.so, libgstreamer-lite.so
    and libjfxmedia.so

  [ Matthias Klose ]
  * Fix installation into the jre architecture directory.
  * Enable verbose (debug) build for slow architectures.
  * Build using the qmake linux-g++ spec.

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 07 Oct 2015 10:05:29 +0200

openjfx (8u40-b25-3) unstable; urgency=medium

  * Fixed a build failure with antlr 3.5.2
  * Set the locale to 'en' when generating the javadoc to improve
    the build reproducibility

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 23 Jul 2015 15:38:43 +0200

openjfx (8u40-b25-2) unstable; urgency=medium

  * Team upload.
  * Remove build-dep on ksh, which isn't actually required for the build.
    (Closes: #790382)
  * Update debian/copyright stanza for the WebKit rendering engine
    to address a lintian warning.
  * Replace Build-Depends on qt4-default with libqt4-dev, qtchooser
    to address lintian error.

 -- tony mancill <tmancill@debian.org>  Sun, 28 Jun 2015 09:44:07 -0700
