=== debian/watch ===
version=3
http://87.98.165.193/checkjdk.php .*/jdk(\d(?:u\d+)-b\d+).tar.gz debian debian/orig-tar.sh
