## openjfx 8u91-b14

=== debian/changelog ===
openjfx (8u91-b14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Fixes the security vulnerabilities CVE-2015-4916, CVE-2015-4908,
      CVE-2015-4906 and CVE-2015-4901 (Closes: #823622)
  * Build with gradle-debian-helper
  * Use override_dh_*-{arch,indep} to split the arch all/any operations
  * Simplified the clean target
  * Updated debian/watch
  * Standards-Version updated to 3.9.8 (no changes)
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 07 May 2016 22:32:15 +0200
