=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper (>= 9),
                flex,
                gperf,
-               gradle,
+               gradle-debian-helper,
                junit4,
                libasound2-dev,
                libavcodec-dev,
@@ -39,9 +39,9 @@
                ruby,
                x11proto-core-dev,
                x11proto-xf86vidmode-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-java/openjfx.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/openjfx.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/openjfx.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/openjfx.git
 Homepage: http://openjdk.java.net/projects/openjfx/
 
 Package: openjfx
