## openjfx 8u102-b14

=== debian/changelog ===
openjfx (8u102-b14-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 25 Oct 2016 11:03:49 +0200

openjfx (8u102-b14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Fixes CVE-2016-3498 (Closes: #832419)
    - Refreshed the patches
    - New build dependency on python
  * Fixed the build failure when building only the arch indep packages
    (Closes: #825276)
  * Improved the reproducibility:
    - Use SOURCE_DATE_EPOCH for the BUILD_TIMESTAMP

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 26 Jul 2016 11:17:10 +0200
