=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libgtk2.0-dev,
+               libicu-dev,
                libjpeg-dev,
                libpng-dev,
                libsqlite3-dev,
@@ -33,6 +34,7 @@
                openjdk-8-jdk,
                openjdk-8-doc,
                pkg-config,
+               python,
                qtbase5-dev,
                qtchooser,
                qt5-qmake,
