## openjfx 8u111-b14

=== debian/changelog ===
openjfx (8u111-b14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Fixed the build failure with GCC 6 (Closes: #837021)
  * Transition to libswt-gtk-4-java
  * Updated debian/orig-tar.sh to download the latest releases

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 24 Nov 2016 15:50:47 +0100
