=== debian/control ===
--- 
+++ 
@@ -17,12 +17,11 @@
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libgtk2.0-dev,
-               libicu-dev,
                libjpeg-dev,
                libpng-dev,
                libsqlite3-dev,
                libstringtemplate-java,
-               libswt-gtk-3-java,
+               libswt-gtk-4-java,
                libudev-dev,
                libwerken.xpath-java,
                libx11-dev,
